/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-05-16
 * Changed:         2024-05-23
 *
 * */

#ifndef LS_STD_LS_STD_TIME_HPP
#define LS_STD_LS_STD_TIME_HPP

/*
 * @package(name: 'Time')
 * @Time.description('This package provides convenient time functionalities and data structures, like a Date class for representing a date or SystemTime for setting a systems local time.')
 * */

#include <ls-std/time/common/DateParameter.hpp>
#include <ls-std/time/common/DateParameterMapper.hpp>

#include <ls-std/time/system-time/IClock.hpp>
#if defined(unix) || defined(__APPLE__)
  #include <ls-std/time/system-time/PosixClock.hpp>
#endif
#include <ls-std/time/system-time/SystemTime.hpp>
#include <ls-std/time/system-time/SystemTimeParameter.hpp>
#ifdef _WIN32
  #include <ls-std/time/system-time/WindowsClock.hpp>
#endif

#include <ls-std/time/type/DateParameterTypes.hpp>

#include <ls-std/time/Date.hpp>

#endif
